# Conditional build:
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	2
%define		pname	r8168
Summary:	Linux driver for RTL8111/8168B PCI Express Gigabit Ethernet controllers
Summary(pl.UTF-8):	Linuksowy sterownik dla kart sieciowych RTL8111/8168B PCI Express Gigabit Ethernet
Name:		%{pname}%{_alt_kernel}
Version:	8.048.02
Release:	%{rel}%{?_pld_builder:@%{_kernel_ver_str}}
License:	GPL
Group:		Base/Kernel
URL:		http://www.realtek.com.tw/
# Check for new versions at
# https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software
# unfortunately this download is not DF-friendly.
Source0:	%{pname}-%{version}.tar.bz2
# Source0-md5:	45370f7630da1ff6e3a9996e445a94af
Patch0:		kernel-5.6.patch
Patch1:		kernel-4.9.256.patch
BuildRequires:	rpmbuild(macros) >= 1.701
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRoot:	%{tmpdir}/%{pname}-%{version}-root-%(id -u -n)

%description
Driver (Linux kernel module) for RTL8111/8168B PCI Express Gigabit
Ethernet controllers.

%description -l pl.UTF-8
Sterownik (moduł jądra Linuksa) dla kart sieciowych RTL8111/8168B PCI
Express Gigabit Ethernet.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-net-r8168\
Summary:	Linux kernel module for RTL8111/8168B PCI Express Gigabit Ethernet controllers\
Summary(pl.UTF-8):	Moduł jądra Linuksa dla kart sieciowych RTL8111/8168B PCI Express Gigabit Ethernet\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-net-r8168\
Driver (Linux kernel module) for RTL8111/8168B PCI Express Gigabit\
Ethernet controllers.\
\
%description -n kernel%{_alt_kernel}-net-r8168 -l pl.UTF-8\
Sterownik (moduł jądra Linuksa) dla kart sieciowych RTL8111/8168B PCI\
Express Gigabit Ethernet.\
\
%files -n kernel%{_alt_kernel}-net-r8168\
%defattr(644,root,root,755)\
%doc README\
/lib/modules/%{_kernel_ver}/kernel/drivers/net/*.ko*\
\
%post	-n kernel%{_alt_kernel}-net-r8168\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-net-r8168\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%build_kernel_modules -m r8168 -C src KERNELRELEASE=%{_kernel_ver}\
%install_kernel_modules -D installed -m src/r8168 -d kernel/drivers/net\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Fri Dec 31 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/r8168.git;a=log;h=auto/th/r8168-8.048.02-2

* Sat Feb 06 2021 Jan Rękorajski <baggins@pld-linux.org> a838d1b
- fix building with kernel 4.9.256
- rel 2

* Sat Apr 04 2020 Jan Rękorajski <baggins@pld-linux.org> 9550209
- up to 8.048.02

* Sat Nov 30 2019 Jan Rękorajski <baggins@pld-linux.org> 8f8e711
- up to 8.047.05
- fix building with kernel 5.4

* Tue May 07 2019 Jan Rękorajski <baggins@pld-linux.org> c9239e7
- up to 8.047.01

* Mon Jan 29 2018 Jan Rękorajski <baggins@pld-linux.org> 0eb3783
- up to 8.045.08
- kernel 4.15 patch from Aurox

* Wed May 10 2017 Jan Rękorajski <baggins@pld-linux.org> fe36121
- fix building with kernel 4.11
- rel 2

* Mon Aug 01 2016 Jan Rękorajski <baggins@pld-linux.org> 3084e9e
- fix building with linux 4.7

* Mon Aug 01 2016 Jan Rękorajski <baggins@pld-linux.org> 9b865d5
- up to 8.042

* Tue Apr 26 2016 Jan Rękorajski <baggins@pld-linux.org> 0bb03d0
- up to 8.041.01
- fix building with linux 4.5

* Sun Apr 19 2015 Jan Rękorajski <baggins@pld-linux.org> e0085fe
- fix building with linux 4.0
- rel 2

* Wed Jan 28 2015 Jan Rękorajski <baggins@pld-linux.org> 8972ff3
- updated to 8.039.00

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> f5b3b65
- rel 3

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> aadcf43
- updated kernel modules build system

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 686d3d0
- drop non-dist kernel support

* Mon Aug 25 2014 Jan Rękorajski <baggins@pld-linux.org> b07b5ee
- fix building with linux 3.16
- rel 2

* Thu Jul 10 2014 Jan Rękorajski <baggins@pld-linux.org> c8fcaa1
- up to 8.038.00
- linux 3.10 support added upstream
- added fix for linux 3.15+

* Tue Oct 29 2013 Jan Rękorajski <baggins@pld-linux.org> 2a8f34f
- switch to macro driven module build for multiple kernel versions
- rel 8

* Tue Oct 29 2013 Jan Rękorajski <baggins@pld-linux.org> 9701479
- only kernel module here, kernel bcond doesn't make sense
- removed outdated NOTE

* Mon Oct 07 2013 Jan Rękorajski <baggins@pld-linux.org> a1c7222
- rebuild for kernel-3.10.15-1
- release 7 (by relup.sh)

* Wed Oct 02 2013 Jan Rękorajski <baggins@pld-linux.org> 6cc571a
- rebuild for kernel-3.10.14-1
- release 6 (by relup.sh)

